--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "convert value to string form for storing in the registry defaults to Marshal.dump(val) but you can override this in your module's registry object to use any method you like. For example, if you always just handle strings use:"
- !ruby/struct:SM::Flow::VERB 
  body: "  def store(val)\n    val\n  end\n"
full_name: Irc::Bot::Registry::Accessor#store
is_singleton: false
name: store
params: (val)
visibility: public
